<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.2.2
 * @lastmodified    September 1, 2015
 */
 
if(!function_exists('__getRow')) {
	function __getRow($fetch_settings,$start) {
		$cols = isset($fetch_settings['count'])?$fetch_settings['count']:0;
		$framework = $fetch_settings['framework'];
		$id = $fetch_settings['section_id'];
		$m = __categories($fetch_settings['categories'],$id);
		$rval = '<div class="row"><div class="btcolumn-row">'.$m;
		$eval = '</div></div>';
		if($framework == 0) { //custom
			
		} elseif($framework == 1) { //bootstrap
			$rval = '<div class="row"><div class="btcolumn-row">'.$m;
			$eval = '</div></div>';
		} elseif ($framework == 2) { //Material design lite
			
		} elseif ($framework == 3) { //Zurb Foundation 
			
		} elseif ($framework == 4) { //Skeleton
			
		} elseif ($framework == 5) { //HTML Kickstart
		
		} elseif ($framework == 6) { //Tables
			$rval = $m.'<table style="table-layout:fixed;width:100%;" class="rowtable"><tr class="btcolumn-row">';
			for($i=0;$i<$cols;$i++){
				$rval .= '<col style="width:'.(100/$cols).'%">';
			}
			$eval = '</tr></table>';
		}
		return $start ? $rval : $eval;
	}
	
	function __categories($categories, $id = 0) {
		global $MODIFY_SETTINGS;
		if(!$categories) {
			return '';
		}
		$cat_array = explode(',',$categories);
		$rval = '<div class="btmenu"><ul class="filterbar">';
		$rval .= '<li><a href="#" data-id="'.$id.'" data-value="ShowAll">'.$MODIFY_SETTINGS['ALLCATEGORIES'].'</a></li>';
		foreach ( $cat_array as $cat) {
			$cat = trim($cat);
			$scat =  str_replace(" ","",$cat);
			$rval .= '<li><a href="#" data-id="'.$id.'" data-value="'.$scat.'">'.$cat.'</a></li>';
		}
		$rval .= '</ul></div>';
		return $rval;
	}
}

if(!function_exists('__getCols')) {
	function __getCols($fetch_settings,$quest = null, $backend = 1, $start = 1) {
		$rval = '';
		$dval = '';
		$eval = '';
		$words = array('zero','one','two','three','four','five','six','seven','eight','nine','ten','eleven','twelve');
		$framework = $fetch_settings['framework'];
		$id = $fetch_settings['section_id'];
		$rowflex = $fetch_settings['rowflex'];
		$xswidth = $fetch_settings['xswidth'];
		$smwidth = $fetch_settings['smwidth'];
		$mdwidth = $fetch_settings['mdwidth'];
		$lgwidth = $fetch_settings['lgwidth'];
		$cols = isset($fetch_settings['count'])?$fetch_settings['count']:4;
		$flex = $rowflex ? 'eq-cols':'';
		if($quest) {
			$category = $quest['category'];
			$category =  str_replace(" ","",$category);
			$oclass = $quest['oclass'];
			$aclass = $quest['aclass'];
			//$category .= $category ? ",":"";
			//$category .= 'all';
			$category = $category ? ' data-id="'.$id.'" data-categories="'.$category.'"':'';
		} else {
			$category = $oclass = $aclass = '';
		}
		if($oclass) {
			$dval = '<div class="'.$flex.' '.$oclass.' '.$aclass.'">';
			$eval = '</div>';
		} elseif ($framework == 0) { //custom
			$rval = $flex.' '.$aclass.' very-small'.$xswidth.' small-'.$smwidth.' medium-'.$mdwidth.' large-'.$lgwidth.' columns';
			$dval = '<div'.$category.' class="btcol '.$flex.' '.$aclass.' very-small'.$xswidth.' small-'.$smwidth.' medium-'.$mdwidth.' large-'.$lgwidth.' columns">';
			$eval = '</div>';
		} elseif ($framework == 1) { //bootstrap
			$rval = $flex.' '.$aclass.' col-xs-'.$xswidth.' col-sm-'.$smwidth.' col-md-'.$mdwidth.' col-lg-'.$lgwidth;
			$dval = '<div'.$category.' class="btcol '.$flex.' '.$aclass.' col-xs-'.$xswidth.' col-sm-'.$smwidth.' col-md-'.$mdwidth.' col-lg-'.$lgwidth.'">';;
			$eval = '</div>';
		} elseif ($framework == 2) { //Material design lite
			
		} elseif ($framework == 3) { //Zurb Foundation 
			$rval = $flex.' '.$aclass.' small-'.$smwidth.' medium-'.$mdwidth.' large-'.$lgwidth.' columns';
			$dval = '<div'.$category.' class="btcol '.$flex.' '.$aclass.' small-'.$smwidth.' medium-'.$mdwidth.' large-'.$lgwidth.' columns">';
			$eval = '</div>';
		} elseif ($framework == 4) { //Skeleton
			$rval = $flex.' '.$aclass.' '.$words[$lgwidth].' '.($lgwidth==1?'column':'columns');
			$dval = '<div'.$category.' class="btcol '.$flex.' '.$aclass.' '.$words[$lgwidth].' '.($lgwidth==1?'column':'columns').'">';
			$eval = '</div>';
		} elseif ($framework == 5) { //Kickstarter
			$rval = $flex.' '.$aclass.' col_'.$lgwidth.'';
			$dval = '<div '.$category.' class="btcol '.$flex.' '.$aclass.' col_'.$lgwidth.'">';
			$eval = '</div>';
		} elseif ($framework == 6) { //Tables
			$rval = '';
			$dval = '<td'.$category.' class="btcol '.$flex.' '.$aclass.'" style="width:'.(100/$cols).'%">';
			$eval = '</td>';
			
		}
		if(!$start) return $eval;
		return $backend?$rval:$dval;
	}
}
