<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.2.2
 * @lastmodified    September 1, 2015
 */
 

require('../../config.php');
require_once(dirname(__FILE__).'/functions.php');

// Get id
if(!isset($_GET['column_id']) OR !is_numeric($_GET['column_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$column_id = intval($_GET['column_id']);
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');
$sMediaUrl = WB_URL.MEDIA_DIRECTORY;

// Load Language file
if(LANGUAGE_LOADED) {
    require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
    if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
        require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
    }
}

$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_btcolumns_settings WHERE section_id='$section_id'");
$fetch_settings = $query_settings->fetchRow();
$framework = $fetch_settings['framework'];
$showtitle = $fetch_settings['showtitle'];
$categories = $fetch_settings['categories'];
$rowflex = $fetch_settings['rowflex'];
$xswidth = $fetch_settings['xswidth'];
$smwidth = $fetch_settings['smwidth'];
$mdwidth = $fetch_settings['mdwidth'];
$lgwidth = $fetch_settings['lgwidth'];
$flex = $rowflex ? 'eq-cols ':'';

// Get info on question
$query = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_btcolumns_content WHERE column_id='$column_id' AND section_id='".$section_id."' ");
$row = $query->fetchRow();
//generated class
$gclass =  __getCols($fetch_settings);

?>

<style type="text/css">
.setting_name {
	vertical-align: top;
}
</style>

<form name="modify" action="<?php echo WB_URL; ?>/modules/btcolumns/save_column.php" method="post" style="margin: 0;">

<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
<input type="hidden" name="column_id" value="<?php echo $column_id; ?>">

<table class="row_a" cellpadding="2" cellspacing="0" border="0" align="center" width="100%">
<tr>
	<td >
		<label for="title" accesskey="q"><b><?php echo $MODIFY_SETTINGS['TITLE']; ?>:</b></label>
	</td>
</tr>
<tr>
	<td >
		<input type="text" name="title" id="title" value="<?php echo $row['title']; ?>" style="width: 98%;" maxlength="255" />
		
	</td>
</tr>
<tr>
	<td >
		<label for="content" accesskey="a"><b><?php echo $MODIFY_SETTINGS['CONTENT']; ?>:</b></label>
	</td>
</tr>
</table>

<?php
$content = $row['content'];
$content = htmlspecialchars(str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content));
$name="content";

if(!isset($__wysiwyg_editor_loaded)) {
	$__wysiwyg_editor_loaded=true;
	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		$id_list=array();
		$query_wysiwyg = $database->query("SELECT section_id FROM ".TABLE_PREFIX."sections WHERE page_id = '$page_id' AND module = 'btcolumns'");
		if($query_wysiwyg->numRows() > 0) {
			while($wysiwyg_section = $query_wysiwyg->fetchRow()) {
				$entry='content'.$wysiwyg_section['section_id'];
				array_push($id_list,$entry);
			}
			require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
		}
	}
}

show_wysiwyg_editor('content','content'.$section_id,$content,'100%','250px');

?>
<br/>
<hr style="margin:10px 0" />

<div id="alink"><a href="#" onclick="swap('elink','alink');return false;"><h3><?php echo $MODIFY_SETTINGS['ADVANCEDOPEN']; ?><h3></a></div>
<div id="elink" style="display:none">	
<a href="#" onclick="swap('alink','elink');return false;"><h3><?php echo $MODIFY_SETTINGS['ADVANCEDCLOSE']; ?><h3></a>
<hr style="margin:10px 0" />
<table class="row_a" cellpadding="2" cellspacing="0" border="0" align="center" width="100%">
	<tr>
		<td style="width:255px">
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['LINK']; ?>:</b></label>
		</td><td>
			<?php echo __get_select_pages($row['link'],'link') ?>
		</td>
	</tr>
	<tr>
		<td >
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['LINKTITLE']; ?>:</b></label>
			</td><td>
			<input type="text" name="linktitle" id="linktitle" style="width:98%" value="<?php echo $row['linktitle']; ?>" maxlength="255" />
		</td>
	</tr>
	<tr>
		<td >
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['CATEGORY']; ?>:</b></label>
			</td><td>
			<?php echo  buid_categorylist($categories,$row['category']); ?>
		</td>
	</tr>
	<tr>
		<td >
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['GENCLASS']; ?>:</b></label>
			</td><td>
			<input type="text" style="width:98%" value="<?php echo $gclass; ?>" maxlength="255" />
		</td>
	</tr>
	<tr>
		<td >
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['OVERCLASS']; ?>:</b></label>
			</td><td>
			<input type="text" name="oclass" id="oclass" style="width:98%" value="<?php echo $row['oclass']; ?>" maxlength="255" />
		</td>
	</tr>	
	<tr>
		<td >
			<label style="display: inline-block; margin-top: 5px;"><b><?php echo $MODIFY_SETTINGS['EXTRACLASS']; ?>:</b></label>
			</td><td>
			<input type="text" name="aclass" id="aclass" style="width:98%" value="<?php echo $row['aclass']; ?>" maxlength="255" />
		</td>
	</tr>

</table>
</div>
<hr style="margin:10px 0" />
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

<?php
// Print admin footer
$admin->print_footer();


	$links = array();
	function __get_select_pages( $current = 0, $selectname = 'pagelist') {
		global $database, $links, $page_id;
		$list = '<select style="width:auto !important" name="'.$selectname.'">';
		$list .= '<option value="0">-- Maak een keuze --</option>';
		build_pagelist(0, $page_id);
		foreach($links AS $li) {
			$option_link = explode('|',$li);
			$disabled = $option_link[0] ? '':' disabled';
			$list .= "<option $disabled value=\"".$option_link[0]."\" ".($current==$option_link[0] ? 'selected="selected"' : '').">$option_link[1]</option>\n";
		}
		$list .= '</select>';
		return $list;
	}
	
	function build_pagelist($parent, $this_page) {
		global $database, $links;
		$iterated_parents = array(); // keep count of already iterated parents to prevent duplicates
		$table_pages = TABLE_PREFIX."pages";
		if ( $query_section_id = $database->query("
			SELECT link, page_title, page_id, level 
			FROM ".$table_pages." 
			WHERE parent = ".$parent." 
			ORDER BY level, position ASC")) {
            while($res = $query_section_id->fetchRow()) {
				if ($res['page_id'] != $this_page) {
					$links[$res['page_id']] = $res['page_id'].'|'.str_repeat(" &nbsp; - &nbsp; ",$res['level']).$res['page_title'];
				} else {
					$links[$res['page_id']] = '|'.str_repeat(" &nbsp; - &nbsp; ",$res['level']).$res['page_title'];
				}
				if (!in_array($res['page_id'], $iterated_parents)) {
					build_pagelist($res['page_id'], $this_page);
					$iterated_parents[] = $res['page_id'];
				}
            }
		}
	}	
	
	function buid_categorylist($categories, $current) {
		if(!$categories) {
			$rval = '<input type="hidden" name="category[]" value="" /> - ';
			return $rval;
		}
		$cat_array = explode(',',$categories);
		$cur_array = explode(',',$current);
		$rval = '';
		foreach ( $cat_array as $cat) {
			$cat = trim($cat);
			$s = in_array($cat,$cur_array) ? ' checked="checked"':'';
			$rval .= '<label style="width:20%;display:inline-block;"><input'.$s.' type="checkbox" name="category[]" value="'.$cat.'"> &nbsp; '.$cat.'</label>';
		}
		return $rval;
	}
	
?>
