<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.2.2
 * @lastmodified    September 1, 2015
 */
 
require('../../config.php');

// Get id
if(!isset($_POST['column_id']) OR !is_numeric($_POST['column_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$column_id = intval($_POST['column_id']);
}

// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');
require_once(WB_PATH.'/framework/functions.php');

$sMediaUrl = WB_URL.MEDIA_DIRECTORY;

if($admin->get_post('title') == '' AND $admin->get_post('content') == '') {
	$admin->print_error($MESSAGE['GENERIC']['FILL_IN_ALL'], WB_URL.'/modules/btcolumns/modify_column.php?page_id='.$page_id.'&section_id='.$section_id.'&column_id='.$column_id);
} else {
    $content = $_POST['content'];
    $title = $_POST['title'];
	if(ini_get('magic_quotes_gpc')==true) {
		$content = $admin->strip_slashes($_POST['content']);
		$title = $admin->strip_slashes($_POST['title']);
		$category = $admin->strip_slashes($_POST['category']);
		$link = $admin->strip_slashes($_POST['link']);
		$linktitle = $admin->strip_slashes($_POST['linktitle']);
		$oclass = $admin->strip_slashes($_POST['oclass']);
		$aclass = $admin->strip_slashes($_POST['aclass']);
	} else {
		$content = $_POST['content'];
		$title = $_POST['title'];
		$category = $_POST['category'];
		$link = $_POST['link'];
		$linktitle = $_POST['linktitle'];
		$oclass = $_POST['oclass'];
		$aclass = $_POST['aclass'];
	}
	$category = implode(',',$category);
	$searchfor = '@(<[^>]*=\s*")('.preg_quote($sMediaUrl).')([^">]*".*>)@siU';
    $content = preg_replace($searchfor, '$1{SYSVAR:MEDIA_REL}$3', $content);
	if(is_object($database->DbHandle)) {
		$title = $database->escapeString($title);
		$content = $database->escapeString($content);
		$category = $database->escapeString ($category);
		$link = $database->escapeString ($link);
		$linktitle = $database->escapeString ($linktitle);
		$oclass = $database->escapeString ($oclass);
		$aclass = $database->escapeString ($aclass);
	} else {
		$title = mysql_real_escape_string ($title);
		$content = mysql_real_escape_string ($content);
		$category = mysql_real_escape_string ($category);
		$link = mysql_real_escape_string ($link);
		$linktitle = mysql_real_escape_string ($linktitle);
		$oclass = mysql_real_escape_string ($oclass);
		$aclass = mysql_real_escape_string ($aclass);
	}
	$content = umlauts_to_entities($content, strtoupper(DEFAULT_CHARSET), 0);
	$category =  str_replace(" ","",$category);
	$database->query("UPDATE ".TABLE_PREFIX."mod_btcolumns_content SET 
			title='$title', 
			content='$content',
			category='$category',
			link='$link',
			linktitle='$linktitle',
			oclass='$oclass',
			aclass='$aclass' 
			WHERE column_id='$column_id'");
}	

// Check if there is a db error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), WB_URL.'/modules/btcolumns/modify_column.php?page_id='.$page_id.'&section_id='.$section_id.'&column_id='.$column_id);
} else {
	$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

?>
